List agent experiments

Lists experiments for the selected organization. Supply agentConfigId to limit the results to one live agent configuration.

OpenAPI

````yaml get /api/v2/experiments
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/experiments:
get:
tags:
- Agents
summary: List agent experiments
description: >
Lists experiments for the selected organization. Supply agentConfigId to
limit the results to one live agent configuration.
operationId: experimentsGetIndex
parameters:
- name: agentConfigId
in: query
required: false
description: Live agent configuration ID.
schema:
type: string
- name: targetAccountId
in: query
required: true
description: Account used to authorize this request.
schema: {}
responses:
'200':
description: Agent experiments
content:
application/json:
schema:
type: object
properties:
data:
type: array
items:
$ref: '#/components/schemas/AgentExperiment'
status:
type: string
example: ok
security:
- apiKeyAuth: []
components:
schemas:
AgentExperiment:
type: object
properties:
id:
oneOf:
- type: integer
- type: string
readOnly: true
agentConfigId:
type: string
description: Live agent configuration ID whose versions are tested.
name:
type: string
status:
type: string
enum:
- draft
- active
- paused
- ended
variants:
type: array
minItems: 2
items:
type: object
required:
- versionId
- weight
properties:
label:
type: string
description: Display label for the variant.
versionId:
type: integer
description: Saved version used by this variant.
weight:
type: number
minimum: 0
exclusiveMinimum: true
description: Relative traffic weight.
createdAt:
type: integer
format: int64
nullable: true
readOnly: true
createdBy:
oneOf:
- type: integer
- type: string
nullable: true
readOnly: true
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token

````